##### windows::basic_stream_handle::release (2 of 2 overloads)

Inherited from windows::basic_overlapped_handle.

Release ownership of the underlying native handle.

    native_handle_type release(
        asio::error_code & ec);

This function causes all outstanding asynchronous operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error. Ownership of the native handle is then transferred to the caller.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Remarks

This function is unsupported on Windows versions prior to Windows 8.1, and will fail with `asio::error::operation_not_supported` on these platforms.